## coq-corn 8.16.0

=== SConstruct ===
import os, glob, string

# Removing examples directory since we do not need it every time.
dirs_to_compile = ['algebra', 'complex', 'coq_reals', 'fta', 'ftc', 'liouville', 'logic', 'metrics', 'model', 'raster', 'reals', 'tactics', 'transc', 'order', 'metric2', 'stdlib_omissions', 'util', 'classes', 'ode']

nodes = map(lambda x: './' + x, dirs_to_compile)
dirs = []
vs = []

env = DefaultEnvironment(ENV = os.environ, tools=['default', 'Coq'])

while nodes:
  node = nodes.pop()
  b = os.path.basename(node)
  if (node.endswith('.v')
   and not b.startswith('Opaque_')
   and not b.startswith('Transparent_')):
    vs += [File(node)]
  if os.path.isdir(node):
    dirs += [node]
    nodes += glob.glob(node + '/*')

includes = ' '.join(map(lambda x: '-I ' + x, dirs[1:]))
Rs = '-R . CoRN'
coqcmd = 'coqc ${str(SOURCE)[:-2]} ' + Rs

env['COQFLAGS'] = Rs

for node in vs: env.Coq(node, COQCMD=coqcmd)
#mc_vs, mc_vos, mc_globs = env.SConscript(dirs='math-classes/src')

os.system('coqdep ' + ' '.join(map(str, vs)) + ' ' + includes + ' ' + Rs + ' > deps')
ParseDepends('deps')

open('coqidescript', 'w').write('#!/bin/sh\ncoqide ' + Rs + ' $@ \n')
os.chmod('coqidescript', 0755)
#env.CoqDoc(env.Dir('coqdoc'), vs+mc_vs, COQDOCFLAGS='-utf8 --toc -g --no-lib-name --coqlib http://coq.inria.fr/library')

env.CoqDoc(env.Dir('coqdoc'), vs, COQDOCFLAGS='-utf8 --toc -g --no-lib-name --coqlib http://coq.inria.fr/library')

#env.Command('deps.dot', [], 'tools/DepsToDot.hs < deps > $TARGET')

## coq-corn 8.13.0

=== debian/changelog ===
coq-corn (8.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014955)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 15 Jul 2022 12:04:14 +0200

=== debian/control ===
Source: coq-corn
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-bignums,
               libcoq-math-classes,
               libcoq-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-corn
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-corn.git
Homepage: https://github.com/coq-community/corn

Package: libcoq-corn
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Coq Constructive Repository at Nijmegen
 This library provides different theories for Coq:
  - an algebraic hierarchy with an axiomatic formalization
 of the most common algebraic structures, like setoids,
 monoids, groups, rings, fields, ordered fields, rings of
 polynomials and real and complex numbers;
  - a construction of the real numbers satisfying the above
 axiomatic description;
  - a proof of the fundamental theorem of algebra;
  - a collection of elementary results on real analysis
  including continuity, differentiability, integration,
  Taylor's theorems and the fundamental theorem of calculus;
  - tools for exact real computations like real numbers,
  functions, integrals, graph of functions and differential
  equations.
 .
 Coq is a proof assistant for higher-order logic.

## coq-corn 8.16.0

=== debian/changelog ===
coq-corn (8.16.0-3build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2023 17:16:34 +0100

coq-corn (8.16.0-3build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 07:13:19 +0200

coq-corn (8.16.0-3) unstable; urgency=medium

  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 22:14:32 +0200

coq-corn (8.16.0-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:31:05 +0100

coq-corn (8.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 22:54:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
@@ -11,7 +11,7 @@
                dh-ocaml,
                libcoq-bignums,
                libcoq-math-classes,
-               libcoq-ocaml-dev,
+               libcoq-core-ocaml-dev,
                libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-corn
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-corn.git

## coq-corn 8.18.0

=== debian/changelog ===
coq-corn (8.18.0-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:19:07 +0200

coq-corn (8.18.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:52:58 +0000

coq-corn (8.18.0-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:12:36 +0000

coq-corn (8.18.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository-Browse.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044867).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 17:26:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: coq-corn
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

=== debian/watch ===
version=4
https://github.com/coq-community/corn/tags .*/([\d\.]+).tar.gz

## coq-corn 8.19.0

=== debian/changelog ===
coq-corn (8.19.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:14:33 +0200

coq-corn (8.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 14:52:01 +0200

## coq-corn 8.19.0+ds1

=== debian/changelog ===
coq-corn (8.19.0+ds1-2) unstable; urgency=medium

  * Fix d/watch

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:55:44 +0100

coq-corn (8.19.0+ds1-1) unstable; urgency=medium

  * Use coq-corn's upstream sources instead of coq-math-classes'
    (Closes: #1070787).
  * Make d/watch mangle +ds* prefixes.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 May 2024 17:45:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-corn
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## coq-corn 8.20.0

=== debian/changelog ===
coq-corn (8.20.0-1build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:21:30 +0200

coq-corn (8.20.0-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:36:46 +0200

coq-corn (8.20.0-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:06:49 +0200

coq-corn (8.20.0-1build2) questing; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 May 2025 15:51:07 -0400

coq-corn (8.20.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:23:38 +0100

coq-corn (8.20.0-1) unstable; urgency=medium

  * Nexw upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Feb 2025 15:23:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	find . -name "*.aux" -delete
	find . -name "*.glob" -delete
	find . -name "*.vo*" -delete
	rm -f .lia.cache .Makefile.d
	rm -f Make Makefile Makefile.conf

override_dh_auto_configure:
	./configure.sh

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds?//,repacksuffix=+ds1 \
https://github.com/coq-community/corn/tags .*/([\d\.]+).tar.gz

## coq-corn 9.0.0

=== doc/skel/Makefile ===
TEXFILES=\
	CSetoids.tex \
	CGroups.tex \
	CRings.tex \
	CIntDomains.tex \
	CFields.tex \
	CVectorSpace.tex \
	LinearAlgebra.tex \
	CReals.tex \
	CPolynomials.tex \
	IVT.tex \
	CComplex.tex \
	NRootCC.tex \
	FTAreg.tex \
	FTA.tex \
	header.tex bibliography.tex skel.tex

pdf: skel.pdf
ps: skel.ps
dvi: skel.dvi

skel.dvi: ${TEXFILES} skel.aux
	latex skel.tex

skel.aux:
	latex skel.tex

skel.ps: skel.dvi
	dvips -f < skel.dvi > skel.ps

skel.pdf: ${TEXFILES} skel.aux
	pdflatex skel.tex

clean:
	rm -f skel.aux skel.log skel.dvi skel.ps skel.pdf

=== debian/changelog ===
coq-corn (9.0.0-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 10:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
                libcoq-bignums,
+	       libcoq-elpi,
                libcoq-math-classes,
                libcoq-core-ocaml-dev,
                libcoq-stdlib

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq
